/*======== DEMO PREREQUISITES ========*/
    /*
.container {
	margin-top: 25px;
}

[class^="col-"] {

	padding-top: 10px;
    padding-bottom: 10px;

	background-color: #eee;
    border: 1px solid #ccc;

}

[class^="col-"] {
	overflow: hidden;
}
*/
/*======== NOW LETS ADD FLEXBOX ========*/
.row-flex {
	display: flex;
	flex-wrap: wrap;
}

.row-flex [class*="col-xs-1"] {
	flex: 1 0 8.33333%;
}

.row-flex [class*="col-xs-1"]:last-child {
	flex: 0 0 8.33333%;
}

.row-flex [class*="col-xs-2"] {
	flex: 2 0 16.66667%;
}

.row-flex [class*="col-xs-2"]:last-child {
	flex: 0 0 16.66667%;
}

.row-flex [class*="col-xs-3"] {
	flex: 3 0 25%;
}

.row-flex [class*="col-xs-3"]:last-child {
	flex: 0 0 25%;
}

.row-flex [class*="col-xs-4"] {
	flex: 4 0 33.33333%;
}

.row-flex [class*="col-xs-4"]:last-child {
	flex: 0 0 33.33333%;
}

.row-flex [class*="col-xs-5"] {
	flex: 5 0 41.66667%;
}

.row-flex [class*="col-xs-5"]:last-child {
	flex: 0 0 41.66667%;
}

.row-flex [class*="col-xs-6"] {
	flex: 6 0 50%;
}

.row-flex [class*="col-xs-6"]:last-child {
	flex: 0 0 50%;
}

.row-flex [class*="col-xs-7"] {
	flex: 7 0 58.33333%;
}

.row-flex [class*="col-xs-7"]:last-child {
	flex: 0 0 58.33333%;
}

.row-flex [class*="col-xs-8"] {
	flex: 8 0 66.66667%;
}

.row-flex [class*="col-xs-8"]:last-child {
	flex: 0 0 66.66667%;
}

.row-flex [class*="col-xs-9"] {
	flex: 9 0 75%;
}

.row-flex [class*="col-xs-9"]:last-child {
	flex: 0 0 75%;
}

.row-flex [class*="col-xs-10"] {
	flex: 10 0 83.33333%;
}

.row-flex [class*="col-xs-10"]:last-child {
	flex: 0 0 83.33333%;
}

.row-flex [class*="col-xs-11"] {
	flex: 11 0 91.66667%;
}

.row-flex [class*="col-xs-11"]:last-child {
	flex: 0 0 91.66667%;
}

.row-flex [class*="col-xs-12"] {
	flex: 12 0 100%;
}

.row-flex [class*="col-xs-12"]:last-child {
	flex: 0 0 100%;
}

@media (min-width: 768px) {
	.row-flex [class*="col-sm-1"] {
		flex: 1 0 8.33333%;
	}

	.row-flex [class*="col-sm-1"]:last-child {
		flex: 0 0 8.33333%;
	}

	.row-flex [class*="col-sm-2"] {
		flex: 2 0 16.66667%;
	}

	.row-flex [class*="col-sm-2"]:last-child {
		flex: 0 0 16.66667%;
	}

	.row-flex [class*="col-sm-3"] {
		flex: 3 0 25%;
	}

	.row-flex [class*="col-sm-3"]:last-child {
		flex: 0 0 25%;
	}

	.row-flex [class*="col-sm-4"] {
		flex: 4 0 33.33333%;
	}

	.row-flex [class*="col-sm-4"]:last-child {
		flex: 0 0 33.33333%;
	}

	.row-flex [class*="col-sm-5"] {
		flex: 5 0 41.66667%;
	}

	.row-flex [class*="col-sm-5"]:last-child {
		flex: 0 0 41.66667%;
	}

	.row-flex [class*="col-sm-6"] {
		flex: 6 0 50%;
	}

	.row-flex [class*="col-sm-6"]:last-child {
		flex: 0 0 50%;
	}

	.row-flex [class*="col-sm-7"] {
		flex: 7 0 58.33333%;
	}

	.row-flex [class*="col-sm-7"]:last-child {
		flex: 0 0 58.33333%;
	}

	.row-flex [class*="col-sm-8"] {
		flex: 8 0 66.66667%;
	}

	.row-flex [class*="col-sm-8"]:last-child {
		flex: 0 0 66.66667%;
	}

	.row-flex [class*="col-sm-9"] {
		flex: 9 0 75%;
	}

	.row-flex [class*="col-sm-9"]:last-child {
		flex: 0 0 75%;
	}

	.row-flex [class*="col-sm-10"] {
		flex: 10 0 83.33333%;
	}

	.row-flex [class*="col-sm-10"]:last-child {
		flex: 0 0 83.33333%;
	}

	.row-flex [class*="col-sm-11"] {
		flex: 11 0 91.66667%;
	}

	.row-flex [class*="col-sm-11"]:last-child {
		flex: 0 0 91.66667%;
	}

	.row-flex [class*="col-sm-12"] {
		flex: 12 0 100%;
	}

	.row-flex [class*="col-sm-12"]:last-child {
		flex: 0 0 100%;
	}
}

@media (min-width: 992px) {
	.row-flex [class*="col-md-1"] {
		flex: 1 0 8.33333%;
	}

	.row-flex [class*="col-md-1"]:last-child {
		flex: 0 0 8.33333%;
	}

	.row-flex [class*="col-md-2"] {
		flex: 2 0 16.66667%;
	}

	.row-flex [class*="col-md-2"]:last-child {
		flex: 0 0 16.66667%;
	}

	.row-flex [class*="col-md-3"] {
		flex: 3 0 25%;
	}

	.row-flex [class*="col-md-3"]:last-child {
		flex: 0 0 25%;
	}

	.row-flex [class*="col-md-4"] {
		flex: 4 0 33.33333%;
	}

	.row-flex [class*="col-md-4"]:last-child {
		flex: 0 0 33.33333%;
	}

	.row-flex [class*="col-md-5"] {
		flex: 5 0 41.66667%;
	}

	.row-flex [class*="col-md-5"]:last-child {
		flex: 0 0 41.66667%;
	}

	.row-flex [class*="col-md-6"] {
		flex: 6 0 50%;
	}

	.row-flex [class*="col-md-6"]:last-child {
		flex: 0 0 50%;
	}

	.row-flex [class*="col-md-7"] {
		flex: 7 0 58.33333%;
	}

	.row-flex [class*="col-md-7"]:last-child {
		flex: 0 0 58.33333%;
	}

	.row-flex [class*="col-md-8"] {
		flex: 8 0 66.66667%;
	}

	.row-flex [class*="col-md-8"]:last-child {
		flex: 0 0 66.66667%;
	}

	.row-flex [class*="col-md-9"] {
		flex: 9 0 75%;
	}

	.row-flex [class*="col-md-9"]:last-child {
		flex: 0 0 75%;
	}

	.row-flex [class*="col-md-10"] {
		flex: 10 0 83.33333%;
	}

	.row-flex [class*="col-md-10"]:last-child {
		flex: 0 0 83.33333%;
	}

	.row-flex [class*="col-md-11"] {
		flex: 11 0 91.66667%;
	}

	.row-flex [class*="col-md-11"]:last-child {
		flex: 0 0 91.66667%;
	}

	.row-flex [class*="col-md-12"] {
		flex: 12 0 100%;
	}

	.row-flex [class*="col-md-12"]:last-child {
		flex: 0 0 100%;
	}
}

@media (min-width: 1200px) {
	.row-flex [class*="col-lg-1"] {
		flex: 1 0 8.33333%;
	}

	.row-flex [class*="col-lg-1"]:last-child {
		flex: 0 0 8.33333%;
	}

	.row-flex [class*="col-lg-2"] {
		flex: 2 0 16.66667%;
	}

	.row-flex [class*="col-lg-2"]:last-child {
		flex: 0 0 16.66667%;
	}

	.row-flex [class*="col-lg-3"] {
		flex: 3 0 25%;
	}

	.row-flex [class*="col-lg-3"]:last-child {
		flex: 0 0 25%;
	}

	.row-flex [class*="col-lg-4"] {
		flex: 4 0 33.33333%;
	}

	.row-flex [class*="col-lg-4"]:last-child {
		flex: 0 0 33.33333%;
	}

	.row-flex [class*="col-lg-5"] {
		flex: 5 0 41.66667%;
	}

	.row-flex [class*="col-lg-5"]:last-child {
		flex: 0 0 41.66667%;
	}

	.row-flex [class*="col-lg-6"] {
		flex: 6 0 50%;
	}

	.row-flex [class*="col-lg-6"]:last-child {
		flex: 0 0 50%;
	}

	.row-flex [class*="col-lg-7"] {
		flex: 7 0 58.33333%;
	}

	.row-flex [class*="col-lg-7"]:last-child {
		flex: 0 0 58.33333%;
	}

	.row-flex [class*="col-lg-8"] {
		flex: 8 0 66.66667%;
	}

	.row-flex [class*="col-lg-8"]:last-child {
		flex: 0 0 66.66667%;
	}

	.row-flex [class*="col-lg-9"] {
		flex: 9 0 75%;
	}

	.row-flex [class*="col-lg-9"]:last-child {
		flex: 0 0 75%;
	}

	.row-flex [class*="col-lg-10"] {
		flex: 10 0 83.33333%;
	}

	.row-flex [class*="col-lg-10"]:last-child {
		flex: 0 0 83.33333%;
	}

	.row-flex [class*="col-lg-11"] {
		flex: 11 0 91.66667%;
	}

	.row-flex [class*="col-lg-11"]:last-child {
		flex: 0 0 91.66667%;
	}

	.row-flex [class*="col-lg-12"] {
		flex: 12 0 100%;
	}

	.row-flex [class*="col-lg-12"]:last-child {
		flex: 0 0 100%;
	}
}